## tdepim-trinity 14.1.1

=== debian/changelog ===
tdepim-trinity (4:14.1.1-5romtpim) universal; urgency=low

  * Applying tdepim_holiday_ua.patch, with updating from 2025.11.15
  * Applying karm_IdleDetect.patch
  * Applying karm_ResetTaskTimes.patch
  * Applying korganizer_MonthViewAnniversTooltip.patch
  * Applying korganizer_ImproveAtachmentsDialog.patch
  * Applying korganizer_ImproveCatsDialog.patch
  * Applying tdepim_korganizer_noDblItDlgAtDblClickInMonthView.patch
  * Applying tdepim_knote_localNoteFind.patch

 -- Roman Savochenko <roman@oscada.org>  Sun, 17 Nov 2025 20:00:00 +0200

tdepim-trinity (4:14.1.1-1romtpim) universal; urgency=low

  * Applying tdepim_holiday_ua.patch
  * Applying karm_IdleDetect.patch
  * Applying karm_ResetTaskTimes.patch
  * Applying korganizer_MonthViewAnniversTooltip.patch

 -- Roman Savochenko <roman@oscada.org>  Mon, 30 Oct 2023 20:00:00 +0200

tdepim-trinity (4:14.1.1-0debian12.0.0+0) bookworm; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#tdepim

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 25 Sep 2023 10:54:46 +0200

=== debian/control ===
Source: tdepim-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Josh Metzler <joshdeb@metzlers.org>, Sune Vuorela <debian@pusling.com>
Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build,
 tdelibs14-trinity-dev, bison, byacc, bzip2,
 flex, groff-base, libogg-dev,
 libboost-dev (>= 1.33.1), libgpgme11-dev | libgpgme-dev (>= 1.0~),
 libreadline-dev | libreadline6-dev | libreadline5-dev, libsasl2-dev, libssl-dev,
 libxpm-dev, libxss-dev, texinfo, dpkg-dev (>= 1.14.4),
 libgpg-error-dev (>= 1.4-2), gpgsm, libical-dev,
 libcaldav-dev (>= 0.6.5), libcarddav-dev (>= 0.6.2), libcurl4-gnutls-dev
Build-Depends-Indep: doxygen, graphviz, gsfonts-x11, libtqtinterface-doc, tdelibs14-trinity-doc
Build-Conflicts: libkleopatra0-trinity-dev
Standards-Version: 3.8.4

Package: tdepim-trinity
Section: tde
Architecture: all
Replaces: kdepim-trinity (<< 4:14.0.0~)
Breaks: kdepim-trinity (<< 4:14.0.0~)
Depends: akregator-trinity (>= ${source:Version}), kaddressbook-trinity (>= ${source:Version}), kalarm-trinity (>= ${source:Version}), kandy-trinity (>= ${source:Version}), karm-trinity (>= ${source:Version}), tdepim-tdefile-plugins-trinity (>= ${source:Version}), tdepim-tdeio-plugins-trinity (>= ${source:Version}), tdepim-tderesources-trinity (>= ${source:Version}), tdepim-wizards-trinity (>= ${source:Version}), kleopatra-trinity (>= ${source:Version}), kmail-trinity (>= ${source:Version}), kmailcvt-trinity (>= ${source:Version}), knode-trinity (>= ${source:Version}), knotes-trinity (>= ${source:Version}), konsolekalendar-trinity (>= ${source:Version}), kontact-trinity (>= ${source:Version}), korganizer-trinity (>= ${source:Version}), korn-trinity (>= ${source:Version}), ktnef-trinity (>= ${source:Version}), libindex0-trinity (>= ${source:Version}), libtdepim1a-trinity (>= ${source:Version}), libkgantt0-trinity (>= ${source:Version}), libkleopatra1-trinity (>= ${source:Version}), libkpimexchange1-trinity (>= ${source:Version}), libkpimidentities1-trinity (>= ${source:Version}), libksieve0-trinity (>= ${source:Version}), libktnef1-trinity (>= ${source:Version}), libmimelib1c2a-trinity (>= ${source:Version})
Suggests: tdepim-trinity-doc-html
Description: Personal Information Management apps from the official Trinity release
 TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This metapackage includes a collection of Personal Information Management
 (PIM) applications provided with the official release of Trinity.
 .
  Homepage: http://pim.kde.org/

Package: tdepim-trinity-dbg
Priority: extra
Section: libdevel
Replaces: kdepim-trinity-dbg (<< 4:14.0.0~)
Breaks: kdepim-trinity-dbg (<< 4:14.0.0~)
Depends: tdelibs-trinity-dbg
Architecture: any
Description: debugging symbols for tdepim-trinity
 This package contains the debugging symbols associated with tdepim-trinity.
 They will automatically be used by gdb for debugging tdepim-related
 issues.

Package: tdepim-trinity-dev
Section: devel
Architecture: any
Replaces: kdepim-trinity-dev (<< 4:14.0.0~)
Breaks: kdepim-trinity-dev (<< 4:14.0.0~)
Depends: kaddressbook-trinity (= ${source:Version}),
 kalarm-trinity (= ${source:Version}),
 tdepim-tderesources-trinity (= ${source:Version}),
 kmail-trinity (= ${source:Version}),
 knotes-trinity (= ${source:Version}),
 kontact-trinity (= ${source:Version}),
 korganizer-trinity (= ${source:Version}),
 libkpimidentities1-trinity (= ${source:Version}),
 libical-dev,
 libtdepim1-trinity-dev (= ${source:Version}),
 libkgantt0-trinity-dev (= ${source:Version}),
 libkleopatra1-trinity-dev (= ${source:Version}),
 libkpimexchange1-trinity-dev (= ${source:Version}),
 libksieve0-trinity-dev (= ${source:Version}),
 libktnef1-trinity-dev (= ${source:Version}),
 libmimelib1-trinity-dev (= ${source:Version})
Description: TDE Personal Information Management [development]
 This package contains development files needed to compile tdepim applications.
 .
 This package is part of Trinity, and a component of the TDE PIM module.
 See the 'tde-trinity' and 'tdepim-trinity' packages for more information.
 . 
  Homepage: http://pim.kde.org/
  
Package: tdepim-trinity-doc
Section: doc
Architecture: all
Replaces: kdepim-trinity-doc (<< 4:14.0.0~)
Breaks: kdepim-trinity-doc (<< 4:14.0.0~)
Suggests: konqueror-trinity | www-browser, doc-base
Description: TDE Personal Information Management library documentation
 TDE core library documentation. You need this documentation to develop TDE PIM
 applications.
 .
 This package is part of Trinity, and a component of the TDE PIM module.
 See the 'tde-trinity' and 'tdepim-trinity' packages for more information.
 . 
  Homepage: http://pim.kde.org/
  
Package: tdepim-trinity-doc-html
Section: doc
Architecture: all
Replaces: kdepim-trinity-doc-html (<< 4:14.0.0~)
Breaks: kdepim-trinity-doc-html (<< 4:14.0.0~)
Suggests: konqueror-trinity | www-browser, tdepim-trinity
Description: TDE PIM documentation in HTML format
 By default the Personal Information Management applications provided with
 TDE only provide their documentation in TDE docbook format, which can only
 be read by Konqueror or KHelpCenter. This package provides all of the
 TDE PIM documentation converted to HTML format so it can be read with any
 web browser.
 .
 This package is part of Trinity, and a component of the TDE PIM module.
 See the 'tde-trinity' and 'tdepim-trinity' packages for more information.
 . 
  Homepage: http://pim.kde.org/

Package: akregator-trinity
Section: web
Architecture: any
Replaces: akregator-trinity (<< 4:14.0.0~)
Breaks: akregator-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: RSS feed aggregator for TDE
 aKregator is a fast, lightweight, and intuitive feed reader program
 for TDE.  It allows you to quickly browse through hundreds of
 thousands of internet feeds in a quick, efficient, and familiar way.
 .
 This package is part of Trinity, and a component of the TDE PIM module.
 See the 'tde-trinity' and 'tdepim-trinity' packages for more information.
 .
  Homepage: http://akregator.kde.org/

Package: kaddressbook-trinity
Section: utils
Architecture: any
Replaces: kaddressbook-trinity (<< 4:14.0.0~)
Breaks: kaddressbook-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: tdepim-tderesources-trinity, tdebase-tdeio-plugins-trinity
Description: TDE NG addressbook application
 KAddressBook is the main address book application for TDE; it enables you
 to manage your contacts efficiently and comfortably. It can load and save
 your contacts to many different locations, including the local file system,
 LDAP servers, and SQL databases.
 .
 This package is part of Trinity, and a component of the TDE PIM module.
 See the 'tde-trinity' and 'tdepim-trinity' packages for more information.

Package: kalarm-trinity
Section: tde
Architecture: any
Replaces: kalarm-trinity (<< 4:14.0.0~)
Breaks: kalarm-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: kmix-trinity, kttsd-trinity
Description: Trinity alarm message, command and email scheduler
 KAlarm provides a graphical interface to schedule personal timed events -
 pop-up alarm messages, command execution and sending emails. There is a
 range of options for configuring recurring events.
 .
 A pop-up alarm can show either a simple text message, or the contents of a
 text or image file, It can optionally be spoken, or play a sound file. You
 can choose its appearance, and set reminders. Among KAlarm's other
 facilities, you can set up templates to allow KAlarm to be used as a 'tea
 timer'.
 .
 As an alternative to using the graphical interface, alarms can be scheduled
 from the command line or via DCOP calls from other programs. KAlarm is
 TDE-based, but will also run on other desktops.
 .
 This package is part of Trinity, and a component of the TDE PIM module.
 See the 'tde-trinity' and 'tdepim-trinity' packages for more information.

Package: kandy-trinity
Section: utils
Architecture: any
Replaces: kandy-trinity (<< 4:14.0.0~)
Breaks: kandy-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: Trinity mobile phone utility
 At the moment Kandy is more or less a terminal program with some special
 features to store commands and their parameters, but is also has a simple GUI
 to access the phone book of a mobile phone and it is able to save this phone
 book to the TDE address book.
 .
 Kandy is aimed at mobile phones with integrated (GSM) modems.
 .
 This package is part of Trinity, and a component of the TDE PIM module.
 See the 'tde-trinity' and 'tdepim-trinity' packages for more information.

Package: karm-trinity
Section: utils
Architecture: any
Replaces: karm-trinity (<< 4:14.0.0~)
Breaks: karm-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: Trinity time tracker tool
 KArm is a time tracker for busy people who need to keep track of the amount of
 time they spend on various tasks.
 .
 This package is part of Trinity, and a component of the TDE PIM module.
 See the 'tde-trinity' and 'tdepim-trinity' packages for more information.

Package: tdepim-tdefile-plugins-trinity
Section: tde
Architecture: any
Replaces: kdepim-kfile-plugins-trinity (<< 4:14.0.0~)
Breaks: kdepim-kfile-plugins-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: TDE File dialog plugins for palm and vcf files
 File dialog plugins for palm and vcf files.
 .
 This package is part of Trinity, and a component of the TDE PIM module.
 See the 'tde-trinity' and 'tdepim-trinity' packages for more information.

Package: tdepim-tdeio-plugins-trinity
Section: tde
Architecture: any
Replaces: kdepim-kio-plugins-trinity (<< 4:14.0.0~)
Breaks: kdepim-kio-plugins-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: Trinity pim I/O Slaves
 This package includes the pim tdeioslaves. This includes imap4, sieve,
 and mbox.
 .
 This package is part of Trinity, and a component of the TDE PIM module.
 See the 'tde-trinity' and 'tdepim-trinity' packages for more information.

Package: tdepim-tderesources-trinity
Section: tde
Architecture: any
Replaces: kdepim-kresources-trinity (<< 4:14.0.0~)
Breaks: kdepim-kresources-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Recommends: ${shlibs:Recommends}, korganizer-trinity
Suggests: knotes-trinity
Description: Trinity pim resource plugins
 This package includes several plugins needed to interface with groupware
 servers. It also includes plugins for features such as blogging and
 tracking feature plans.
 .
 This package is part of Trinity, and a component of the TDE PIM module.
 See the 'tde-trinity' and 'tdepim-trinity' packages for more information.

Package: tdepim-wizards-trinity
Section: tde
Architecture: any
Replaces: kdepim-wizards-trinity (<< 4:14.0.0~)
Breaks: kdepim-wizards-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Suggests: egroupware
Description: Trinity server configuration wizards
 This package contains TDE-based wizards for configuring eGroupware,
 Kolab, and SUSE Linux Openexchange servers.
 .
 This package is part of Trinity, and a component of the TDE PIM module.
 See the 'tde-trinity' and 'tdepim-trinity' packages for more information.

Package: kleopatra-trinity
Section: net
Architecture: any
Replaces: kleopatra-trinity (<< 4:14.0.0~)
Breaks: kleopatra-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, gnupg-agent, gnupg2, gpgsm, dirmngr, pinentry-tqt | pinentry-qt | pinentry-x11
Description: Trinity Certificate Manager
 Kleopatra is the TDE tool for managing X.509 certificates in the gpgsm
 keybox and for retrieving certificates from LDAP servers.
 .
 This package is part of Trinity, and a component of the TDE PIM module.

=== debian/rules ===
#!/usr/bin/make -f

# Set LD_LIBRARY_PATH to the installed library directory to allow dh_shlibdeps to function
# Also include the main Trinity path
ifeq ("$(LD_LIBRARY_PATH)", "")
LD_LIBRARY_PATH=debian/tmp/opt/trinity/lib:debian/tmp/opt/trinity/lib/trinity
else
LD_LIBRARY_PATH += :debian/tmp/opt/trinity/lib:debian/tmp/opt/trinity/lib/trinity
endif
export LD_LIBRARY_PATH

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-tde.mk

DEB_KDE_APIDOX := yes

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DLIB_SUFFIX="" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_ARTS="ON" \
 -DWITH_SASL="ON" \
 -DWITH_NEWDISTRLISTS="ON" \
 -DWITH_GNOKII="OFF" \
 -DWITH_EXCHANGE="ON" \
 -DWITH_EGROUPWARE="ON" \
 -DWITH_KOLAB="ON" \
 -DWITH_SLOX="ON" \
 -DWITH_GROUPWISE="ON" \
 -DWITH_FEATUREPLAN="ON" \
 -DWITH_GROUPDAV="ON" \
 -DWITH_BIRTHDAYS="ON" \
 -DWITH_NEWEXCHANGE="ON" \
 -DWITH_SCALIX="ON" \
 -DWITH_CALDAV="ON" \
 -DWITH_CARDDAV="ON" \
 -DWITH_INDEXLIB="ON" \
 -DWITH_XSCREENSAVER="ON" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo

DEB_MAKE_CHECK_TARGET = check

DEB_DH_INSTALL_SOURCEDIR := $(DEB_DESTDIR)

DEB_INSTALL_DOCS_ALL :=

DEB_INSTALL_CHANGELOGS_ALL = $(shell for f in ChangeLog CHANGELOG CHANGES; do if test -s $(DEB_SRCDIR)/$(cdbs_curpkg)/$$f; then echo $(DEB_SRCDIR)/$(cdbs_curpkg)/$$f; break; fi; done)

shlibs_ver=4:3.5.7
DEB_DH_MAKESHLIBS_ARGS_libindex0-trinity := -V'libindex0-trinity (>= $(shlibs_ver))'
DEB_DH_MAKESHLIBS_ARGS_libtdenetwork2-trinity := -V'libtdenetwork2-trinity (>= $(shlibs_ver))'
DEB_DH_MAKESHLIBS_ARGS_libtdepim1a-trinity := -V'libtdepim1a-trinity (>= $(shlibs_ver))'
DEB_DH_MAKESHLIBS_ARGS_libkgantt0-trinity := -V'libkgantt0-trinity (>= $(shlibs_ver))'
DEB_DH_MAKESHLIBS_ARGS_libkleopatra1-trinity := -V'libkleopatra1-trinity (>= $(shlibs_ver))'
DEB_DH_MAKESHLIBS_ARGS_libkmime2-trinity := -V'libkmime2-trinity (>= $(shlibs_ver))'
DEB_DH_MAKESHLIBS_ARGS_libkpimexchange1-trinity := -V'libkpimexchange1-trinity (>= $(shlibs_ver))'
DEB_DH_MAKESHLIBS_ARGS_libkpimidentities1-trinity := -V'libkpimidentities1-trinity (>= $(shlibs_ver))'
DEB_DH_MAKESHLIBS_ARGS_libksieve0-trinity := -V'libksieve0-trinity (>= $(shlibs_ver))'
DEB_DH_MAKESHLIBS_ARGS_libktnef1-trinity := -V'libktnef1-trinity (>= $(shlibs_ver))'
DEB_DH_MAKESHLIBS_ARGS_libmimelib1c2a-trinity := -V'libmimelib1c2a-trinity (>= $(shlibs_ver))'

# kontact-trinity starts fine without korganizer-trinity or kpilot-trinity dependencies
# specialdates-trinity is only in recommends to get the kaddressbook-trinity dependency there
kontact-trinity_recommends_plugins := korganizer specialdates
kontact-trinity_suggests_plugins := journal todo

DEB_DH_SHLIBDEPS_ARGS_kontact-trinity := \
	$(foreach p,$(kontact-trinity_recommends_plugins) $(kontact-trinity_suggests_plugins),-Xopt/trinity/lib/trinity/libkontact_$(p)plugin.so) \
	-- -dRecommends \
	$(foreach p,$(kontact-trinity_recommends_plugins),debian/kontact-trinity/opt/trinity/lib/trinity/libkontact_$(p)plugin.so) \
	-dSuggests \
	$(foreach p,$(kontact-trinity_suggests_plugins),debian/kontact-trinity/opt/trinity/lib/trinity/libkontact_$(p)plugin.so) \
	-dDepends	# Since -u args go first in dpkg-shlibdeps call

test-shlibdeps:
	@echo $(DEB_DH_SHLIBDEPS_ARGS_kontact-trinity)

KDE_UPSTREAM_VERSION := $(shell echo $(DEB_UPSTREAM_VERSION) | sed -e 's/\.dfsg.*//')
KDE_TARBALL := ../$(DEB_SOURCE_PACKAGE)-$(KDE_UPSTREAM_VERSION).tar.bz2
KDE_SOURCEDIR := dfsg-tmp/$(DEB_SOURCE_PACKAGE)-$(KDE_UPSTREAM_VERSION)
NEWDEB_SOURCEDIR := $(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION)

## tdepim-trinity 14.1.2

=== akregator/src/librss/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)


##### rsslocal (static) #########################

tde_add_library( rsslocal STATIC_PIC AUTOMOC
  SOURCES
    article.cpp document.cpp image.cpp textinput.cpp
    tools_p.cpp loader.cpp enclosure.cpp category.cpp
    feeddetector.cpp
)

=== debian/changelog ===
tdepim-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#tdepim

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Apr 2024 00:36:30 +0200

## tdepim-trinity 14.1.3

=== debian/changelog ===
tdepim-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#tdepim

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 26 Sep 2024 15:11:51 +0200

## tdepim-trinity 14.1.4

=== debian/changelog ===
tdepim-trinity (4:14.1.4-3romtpim) universal; urgency=low

  * Applying tdepim_holiday_ua.patch, with updating from 2025.11.15
  * Applying karm_IdleDetect.patch
  * Applying karm_ResetTaskTimes.patch
  * Applying korganizer_MonthViewAnniversTooltip.patch
  * Applying korganizer_ImproveAtachmentsDialog.patch
  * Applying korganizer_ImproveCatsDialog.patch
  * Applying tdepim_korganizer_noDblItDlgAtDblClickInMonthView.patch
  * Applying tdepim_knote_localNoteFind.patch

 -- Roman Savochenko <roman@oscada.org>  Sun, 17 Nov 2025 20:00:00 +0200

tdepim-trinity (4:14.1.4-0debian12.0.0+0) bookworm; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#tdepim

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Josh Metzler <joshdeb@metzlers.org>, Sune Vuorela <debian@pusling.com>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build,
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build,
  tdelibs14-trinity-dev, bison, byacc, bzip2,
  flex, groff-base, libogg-dev,
  libboost-dev (>= 1.33.1), libgpgme11-dev | libgpgme-dev (>= 1.0~),
@@ -21,7 +21,7 @@
 Architecture: all
 Replaces: kdepim-trinity (<< 4:14.0.0~)
 Breaks: kdepim-trinity (<< 4:14.0.0~)
-Depends: akregator-trinity (>= ${source:Version}), kaddressbook-trinity (>= ${source:Version}), kalarm-trinity (>= ${source:Version}), kandy-trinity (>= ${source:Version}), karm-trinity (>= ${source:Version}), tdepim-tdefile-plugins-trinity (>= ${source:Version}), tdepim-tdeio-plugins-trinity (>= ${source:Version}), tdepim-tderesources-trinity (>= ${source:Version}), tdepim-wizards-trinity (>= ${source:Version}), kleopatra-trinity (>= ${source:Version}), kmail-trinity (>= ${source:Version}), kmailcvt-trinity (>= ${source:Version}), knode-trinity (>= ${source:Version}), knotes-trinity (>= ${source:Version}), konsolekalendar-trinity (>= ${source:Version}), kontact-trinity (>= ${source:Version}), korganizer-trinity (>= ${source:Version}), korn-trinity (>= ${source:Version}), ktnef-trinity (>= ${source:Version}), libindex0-trinity (>= ${source:Version}), libtdepim1a-trinity (>= ${source:Version}), libkgantt0-trinity (>= ${source:Version}), libkleopatra1-trinity (>= ${source:Version}), libkpimexchange1-trinity (>= ${source:Version}), libkpimidentities1-trinity (>= ${source:Version}), libksieve0-trinity (>= ${source:Version}), libktnef1-trinity (>= ${source:Version}), libmimelib1c2a-trinity (>= ${source:Version})
+Depends: akregator-trinity (>= ${source:Version}), kaddressbook-trinity (>= ${source:Version}), kalarm-trinity (>= ${source:Version}), kandy-trinity (>= ${source:Version}), karm-trinity (>= ${source:Version}), tdepim-tdefile-plugins-trinity (>= ${source:Version}), tdepim-tdeio-plugins-trinity (>= ${source:Version}), tdepim-tderesources-trinity (>= ${source:Version}), tdepim-wizards-trinity (>= ${source:Version}), kleopatra-trinity (>= ${source:Version}), kmail-trinity (>= ${source:Version}), kmailcvt-trinity (>= ${source:Version}), knode-trinity (>= ${source:Version}), knotes-trinity (>= ${source:Version}), konsolekalendar-trinity (>= ${source:Version}), kontact-trinity (>= ${source:Version}), korganizer-trinity (>= ${source:Version}), korn-trinity (>= ${source:Version}), ktnef-trinity (>= ${source:Version}), libindex0-trinity (>= ${source:Version}), libtdepim1a-trinity (>= ${source:Version}), libkgantt0-trinity (>= ${source:Version}), libkleopatra1-trinity (>= ${source:Version}) | libkleopatra1t64-trinity (>= ${source:Version}), libkpimexchange1-trinity (>= ${source:Version}), libkpimidentities1-trinity (>= ${source:Version}), libksieve0-trinity (>= ${source:Version}), libktnef1-trinity (>= ${source:Version}), libmimelib1c2a-trinity (>= ${source:Version}) | libmimelib1t64-trinity (>= ${source:Version})
 Suggests: tdepim-trinity-doc-html
 Description: Personal Information Management apps from the official Trinity release
  TDE (the Trinity Desktop Environment) is a powerful Open Source graphical
@@ -260,4 +260,3 @@
  Kleopatra is the TDE tool for managing X.509 certificates in the gpgsm
  keybox and for retrieving certificates from LDAP servers.
  .
- This package is part of Trinity, and a component of the TDE PIM module.

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,13 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/cmake.mk
 include debian/cdbs/debian-tde.mk
+
+DEB_TIME64_API		= $(shell echo | cc $(dpkg-buildflags --get CPPFLAGS) -dM -E -x c++ - | grep -q "_TIME_BITS 64" && echo true || false)
+ifeq ($(DEB_TIME64_API),true)
+DEB_TIME64_SUFFIX	= t64
+else
+DEB_TIME64_SUFFIX	=
+endif
 
 DEB_KDE_APIDOX := yes
 
@@ -86,3 +93,65 @@
 KDE_TARBALL := ../$(DEB_SOURCE_PACKAGE)-$(KDE_UPSTREAM_VERSION).tar.bz2
 KDE_SOURCEDIR := dfsg-tmp/$(DEB_SOURCE_PACKAGE)-$(KDE_UPSTREAM_VERSION)
 NEWDEB_SOURCEDIR := $(DEB_SOURCE_PACKAGE)-$(DEB_UPSTREAM_VERSION)
+
+post-patches::
+	dh_testdir
+ifeq ($(DEB_TIME64_API),true)
+	# update library package name for TIME64 ABI
+	ls -d debian/* | \
+	grep -E "/libmimelib1c2a" | \
+	grep -v "\.t64$$" | \
+	while read a; do \
+	    [ -d $$a ] || [ -f $$a.t64 ] || \
+	    (cp -a $$a debian/libmimelib1$(DEB_TIME64_SUFFIX)$${a##*c2a} && mv $$a $$a.t64); \
+	done
+	ls -d debian/* | \
+	grep -E "/libkleopatra1-" | \
+	grep -v "\.t64$$" | \
+	while read a; do \
+	    [ -d $$a ] || [ -f $$a.t64 ] || \
+	    (cp -a $$a debian/libkleopatra1$(DEB_TIME64_SUFFIX)-$${a##*-} && mv $$a $$a.t64); \
+	done
+	[ -f debian/control.t64 ] || \
+	sed -i.t64 \
+	    -e "s/^\\(Package: libmimelib1\\)c2a-trinity$$/\\1$(DEB_TIME64_SUFFIX)-trinity/" \
+	    -e "s/^\\(Replaces\\|Breaks\\):\\(.*\\)\\(libmimelib1\\)c2a-trinity\\( \|$$\)/\\1:\\2\\3c2a-trinity, \\3$(DEB_TIME64_SUFFIX)-trinity\\4/" \
+	    -e "s/\\(libmimelib1\\)c2a-trinity (=/\\1$(DEB_TIME64_SUFFIX)-trinity (=/" \
+	    \
+	    -e "s/^\\(Package: libkleopatra1\\)-trinity$$/\\1$(DEB_TIME64_SUFFIX)-trinity/" \
+	    -e "s/^\\(Replaces\\|Breaks\\):\\(.*\\)\\(libkleopatra1\\)-trinity\\( \|$$\)/\\1:\\2\\3-trinity, \\3$(DEB_TIME64_SUFFIX)-trinity\\4/" \
+	    -e "s/\\(libkleopatra1\\)-trinity (=/\\1$(DEB_TIME64_SUFFIX)-trinity (=/" \
+	    debian/control
+endif
+
+clean::
+	dh_testdir
+	dh_clean
+
+ifeq ($(DEB_TIME64_API),true)
+	# revert library package name for TIME64 ABI
+	ls -d debian/* | \
+	grep -E "\.t64$$" | \
+	while read a; do \
+	    mv $$a $${a%.t64}; \
+	done
+	ls -d debian/* | \
+	grep -E "/libmimelib1$(DEB_TIME64_SUFFIX)-" | \
+	xargs -r rm
+	ls -d debian/* | \
+	grep -E "/libkleopatra1$(DEB_TIME64_SUFFIX)-" | \
+	xargs -r rm
+	[ -f debian/control.t64 ] || \
+	sed -i.t64 \
+	    -e "s/^\\(Package: libmimelib1\\)c2a-trinity$$/\\1$(DEB_TIME64_SUFFIX)-trinity/" \
+	    -e "s/^\\(Replaces\\|Breaks\\):\\(.*\\)\\(libmimelib1\\)c2a-trinity\\( \|$$\)/\\1:\\2\\3c2a-trinity, \\3$(DEB_TIME64_SUFFIX)-trinity\\4/" \
+	    -e "s/\\(libmimelib1\\)c2a-trinity (=/\\1$(DEB_TIME64_SUFFIX)-trinity (=/" \
+	    \
+	    -e "s/^\\(Package: libkleopatra1\\)-trinity$$/\\1$(DEB_TIME64_SUFFIX)-trinity/" \
+	    -e "s/^\\(Replaces\\|Breaks\\):\\(.*\\)\\(libkleopatra1\\)-trinity\\( \|$$\)/\\1:\\2\\3-trinity, \\3$(DEB_TIME64_SUFFIX)-trinity\\4/" \
+	    -e "s/\\(libkleopatra1\\)-trinity (=/\\1$(DEB_TIME64_SUFFIX)-trinity (=/" \
+	    debian/control
+else
+	[ ! -f debian/control.t64 ] || \
+	mv debian/control.t64 debian/control
+endif

## tdepim-trinity 14.1.5~pre6

=== kitchensync/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

message( AUTHOR_WARNING
		" \n"
		" ---------------------------------------------------------- \n"
		" ***  NOTE  *** \n"
		" Building kitchensync is deprecated and should not be done. \n"
		" kitchensync will be dropped starting from R14.2.0. \n"
		" Please contact the TDE development team on ML if you wish \n"
		" kitchensync to be continued. \n"
		" ---------------------------------------------------------- \n")

add_subdirectory( libqopensync )
add_subdirectory( src )

=== plugins/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( kmail )

=== tdefile-plugins/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( vcf )
add_subdirectory( ics )

=== doc/kmail/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

tde_create_handbook( DESTINATION kmail )

=== kaddressbook/common/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)


##### kabcommon (static) ########################

tde_add_library( kabcommon STATIC_PIC AUTOMOC
  SOURCES
    kabprefs.cpp kabprefs_base.kcfgc locationmap.cpp
    filter.cpp
)

=== karm/pics/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES
    filedel.xpm clock.xpm clockedit.xpm empty-watch.xpm watch-0.xpm
    watch-1.xpm watch-2.xpm watch-3.xpm watch-4.xpm watch-5.xpm
    watch-6.xpm watch-7.xpm active-icon-0.xpm active-icon-1.xpm
    active-icon-2.xpm active-icon-3.xpm active-icon-4.xpm
    active-icon-5.xpm active-icon-6.xpm active-icon-7.xpm
    task-complete.xpm task-incomplete.xpm
  DESTINATION ${DATA_INSTALL_DIR}/karm/pics )

=== kmailcvt/pics/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES step1.png DESTINATION ${DATA_INSTALL_DIR}/kmailcvt/pics )

=== ktnef/ktnef/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES
    ktnefparser.h ktnefattach.h ktnefproperty.h
    ktnefpropertyset.h ktnefmessage.h ktnefwriter.h
    ktnefdefs.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/ktnef )

=== mimelib/mimelib/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES
    address.h addrlist.h body.h bodypart.h boyermor.h
    config.h datetime.h debug.h disptype.h entity.h
    enum.h field.h fieldbdy.h group.h headers.h mailbox.h
    mboxlist.h mechansm.h mediatyp.h message.h mimepp.h
    msgcmp.h msgid.h nntp.h param.h pop.h protocol.h
    string.h text.h token.h utility.h uuencode.h binhex.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/mimelib )

=== tderesources/featureplan/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

if( BUILD_KODE )
  set( KXML_COMPILER_EXECUTABLE ${CMAKE_BINARY_DIR}/kode/kxml_compiler/kxml_compiler )
  set( KXML_COMPILER_TARGET kxml_compiler )
else( )
  find_program( KXML_COMPILER_EXECUTABLE
    NAMES kxml_compiler
    HINTS ${TDE_BIN_DIR} ${BIN_INSTALL_DIR} )
  if( NOT KXML_COMPILER_EXECUTABLE )
    tde_message_fatal( "kxml_compiler is NOT found.\n kode package is correctly installed?" )
  endif( )
endif( )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kcal_resourcefeatureplan.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/tderesources/kcal
  PO_DIR tderesources-desktops
)


##### kcal_resourcefeatureplan (module) #########

tde_add_kpart( kcal_resourcefeatureplan AUTOMOC
  SOURCES kcal_resourcefeatureplanplugin.cpp
  LINK kcal_resourcefeatureplan-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### featureplancommon (static) ################

add_custom_command(
  OUTPUT kde-features.h kde-features.cpp kde-features_parser.h kde-features_parser.cpp
  COMMAND ${KXML_COMPILER_EXECUTABLE} --custom-parser ${CMAKE_CURRENT_SOURCE_DIR}/kde-features.rng >/dev/null
  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/kde-features.rng ${KXML_COMPILER_TARGET} )

tde_add_library( featureplancommon STATIC_PIC
  SOURCES
    kde-features.cpp kde-features_parser.cpp prefs.kcfgc
)


##### kcal_resourcefeatureplan (shared) #########

tde_add_library( kcal_resourcefeatureplan SHARED AUTOMOC
  SOURCES
    kcal_resourcefeatureplan.cpp kcal_resourcefeatureplanconfig.cpp
  VERSION 1.0.0
  LINK featureplancommon-static tdepim-shared
  DESTINATION ${LIB_INSTALL_DIR}
)

=== tderesources/groupdav/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/../lib
  ${CMAKE_CURRENT_SOURCE_DIR}/../lib
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE kcal_groupdav.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/tderesources/kcal
  PO_DIR tderesources-desktops
)

install( FILES uninstall.desktop DESTINATION ${SERVICES_INSTALL_DIR}/tderesources/kcal RENAME kcal_opengroupware.desktop )

tde_create_translated_desktop(
  SOURCE tdeabc_groupdav.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}/tderesources/tdeabc
  PO_DIR tderesources-desktops
)

install( FILES uninstall.desktop DESTINATION ${SERVICES_INSTALL_DIR}/tderesources/tdeabc RENAME tdeabc_opengroupware.desktop)


##### kcal_groupdav (module) ####################

tde_add_kpart( kcal_groupdav AUTOMOC
  SOURCES kcal_resourcegroupdav_plugin.cpp
  LINK kcal_groupdav-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### tdeabc_groupdav (module) ####################

tde_add_kpart( tdeabc_groupdav AUTOMOC
  SOURCES tdeabc_resourcegroupdav_plugin.cpp
  LINK tdeabc_groupdav-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### kgroupdav (static) ########################

tde_add_library( kgroupdav STATIC_PIC
  SOURCES groupdavglobals.cpp
)


##### kcal_groupdav (shared) ####################

tde_add_library( kcal_groupdav SHARED AUTOMOC
  SOURCES groupdavcalendaradaptor.cpp kcal_resourcegroupdav.cpp
  VERSION 1.0.0
  LINK kgroupdav-static kgroupwaredav-shared
  DESTINATION ${LIB_INSTALL_DIR}
)


##### tdeabc_groupdav (shared) ####################

tde_add_library( tdeabc_groupdav SHARED AUTOMOC
  SOURCES tdeabc_resourcegroupdav.cpp groupdavaddressbookadaptor.cpp
  VERSION 1.0.0
  LINK kgroupdav-static kgroupwaredav-shared
  DESTINATION ${LIB_INSTALL_DIR}
)

=== kmobile/devices/pics/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES
    mobile_phone.png mobile_organizer.png mobile_camera.png
    mobile_musicplayer.png mobile_unknown.png
  DESTINATION ${ICON_INSTALL_DIR}/default.tde/32x32/devices )

=== debian/changelog ===
tdepim-trinity (4:14.1.5~pre6-0ubuntu25.10.0+4) questing; urgency=low

  * Automated git build for f0a5f0b7ddad40e70290a6cd1f3914c6a17e5f86
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tdepim

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200
